summaryrefslogtreecommitdiffstats
path: root/source/d/make/make.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/make/make.SlackBuild')
-rwxr-xr-xsource/d/make/make.SlackBuild15
1 files changed, 8 insertions, 7 deletions
diff --git a/source/d/make/make.SlackBuild b/source/d/make/make.SlackBuild
index f97a27c2e..01036257e 100755
--- a/source/d/make/make.SlackBuild
+++ b/source/d/make/make.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2005-2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2005-2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=make
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.bz2 | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-8}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -68,7 +68,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf make-$VERSION
-tar xvf $CWD/make-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/make-$VERSION.tar.?z || exit 1
cd make-$VERSION || exit 1
chown -R root:root .
find . \
@@ -77,9 +77,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-zcat $CWD/make.guile30.diff.gz | patch -p1 --verbose || exit 1
-zcat $CWD/make.glibc-2.27.glob.diff.gz | patch -p1 --verbose || exit 1
-zcat $CWD/b552b05251980f693c729e251f93f5225b400714.patch.gz | patch -p1 --verbose || exit 1
+# Patches from Fedora:
+zcat $CWD/make-4.0-noclock_gettime.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/make-4.3-getcwd.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/make-4.3-j8k.patch.gz | patch -p1 --verbose || exit 1
autoreconf -vif